print.onion {onion} | R Documentation

## Print method for onions

### Description

Prints an onion

### Usage

    ## S3 method for class 'quaternion'
    print(x, h=getOption("horiz"), ...)
    ## S3 method for class 'octonion'
    print(x, h=getOption("horiz"), ...)

### Arguments

`x` | Onionic vector
`h` | Boolean, with default `FALSE` meaning to print horizontally and `TRUE` meaning to print by columns.
`...` | Further arguments (currently ignored)

### Details

If `options("horiz")` is `TRUE`, then print by rows rather than columns (provided that the default value of argument `h` is not overridden). The default behaviour is to print by columns; do this by setting `horiz` to anything other than `TRUE`, including leaving it unset.

### Author(s)

Robin K. S. Hankin

### Examples

    roct(4)

[Package onion version 1.2-7 Index]